Subject: bug#6276: Could indent-tabs-mode etc be made minor modes?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Jul 2021 15:22:53 +0200

Stefan Monnier <[email-masked]> writes:

>> I just saw on EmacsWiki a list of minor modes that do not have a
>> command for turning them on, for example indent-tabs-mode.  This is
>> instead a defcustom.
>
>> Could this be turned into a global minor mode, for example with
>> something like
>
> Sounds OK to me.
>
>> (define-minor-mode indent-tabs-mode
>>   "test"
>>   :global t
>>   :variable indent-tabs-mode)
>
> I'd rather keep the :variable uses to a minimum.
> In the case of indent-tabs-mode, maybe the better course of action is to
> move `indent-to' and `indent-tabs-mode' from C to Lisp.

I see the charm of moving `indent-to' to Lisp, but it's a function that
used a lot and should remain as quick as possible, I think.

So I just went ahead with Lennart's suggestion to add the trivial minor
mode instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no